# 10. Mutation: genera "RasterMap" in modo asincrono

Genera "RasterMap" per il "Field" **in modo asincrono**.

{% hint style="info" %}
L'approccio asincrono mette in coda un'attività (Generate `generaMappaAnalisiRaster`) per l'elaborazione e la Subscription verrà ricevuta non appena l'elaborazione sarà terminata.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutazione GeneraRasterMapAsync {
  generaMappaAnalisiRasterAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<segnaposto_uuid_immaginesatellitare_2>"
    ]
    index: NDVI
  }) {    
    uuid 
    fieldUuid
    statusCode  
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/10.-mutation-genera-rastermap-in-modo-asincrono.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
